<template>
  <section class="flex flex-col gap-9 px-10 pb-32 pt-9">
    <header class="flex flex-row justify-between pb-6">
      <Logo />
      <div class="flex flex-row items-center gap-x-3">
        <Menu />
      </div>
    </header>
    <slot />
    <PopupFactory />
  </section>
</template>

<script lang="ts" setup>
import { Logo } from '~shared/ui';
import { Menu } from '~features/user';
import { PopupFactory } from '~widgets/popups';
</script>
